# PointLight

PointLight : `Light`

## Overview

A PointLight is a lighting object that emits spherical light in all directions from a single point.

It must be parented to a BasePart or Attachment to work

## Properties

### Range

`number`

This property sets the distance over which the light is projected.

#### Code Samples

```lua
local PointLight = script.Parent

print(PointLight.Range)
```

## Methods

## Events

## See also

{% content-ref url="/pages/3KvY0jqe4oODQNMi9cxP" %}
[Lighting](/manual/studio-manual/object/lighting.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/pointlight.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
